org.apache.fop.fo.properties

## Class StringProperty

- java.lang.Object
- - org.apache.fop.fo.properties.Property
  - - org.apache.fop.fo.properties.StringProperty

-     public final class StringProperty
      extends Property

  Exists primarily as a container for its Maker inner class, which is extended by many string-based FO property classes.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StringProperty.Maker` Inner class for making instances of StringProperty

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static StringProperty` | `EMPTY_STRING_PROPERTY` canonical instance for empty strings

    - ### Fields inherited from class org.apache.fop.fo.properties.Property

      `log`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `static StringProperty` | `getInstance(String str)` Return the canonical StringProperty instance corresponding to the given string value
    `Object` | `getObject()` This method expects to be overridden by subclasses
    `String` | `getString()` This method expects to be overridden by subclasses.
    `int` | `hashCode()`

    - ### Methods inherited from class org.apache.fop.fo.properties.Property

      `getCharacter, getColor, getCondLength, getEnum, getKeep, getLength, getLengthPair, getLengthRange, getList, getNCname, getNumber, getNumeric, getSpace, getSpecifiedValue, isAuto, setSpecifiedValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY_STRING_PROPERTY

          public static final StringProperty EMPTY_STRING_PROPERTY

      canonical instance for empty strings

  - ### Method Detail

    - #### getInstance

          public static StringProperty getInstance(String str)

      Return the canonical StringProperty instance corresponding to the given string value
      Parameters:
        `str` - the base String
      Returns:
        the canonical instance

    - #### getObject

          public Object getObject()

      Description copied from class: `Property`
      This method expects to be overridden by subclasses
      Overrides:
        `getObject` in class `Property`
      Returns:
        the Object equivalent of this property

    - #### getString

          public String getString()

      Description copied from class: `Property`
      This method expects to be overridden by subclasses.
      Overrides:
        `getString` in class `Property`
      Returns:
        the String equivalent of this property

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2023 Apache Software Foundation. All rights reserved.